<?php

/**
 * /api/share/???
 */

use Illuminate\Support\Facades\Route;

// 创建链接-现金红包
Route::post('redpack/store', "Share\RedpackController@store");
// 创建链接-解锁卡片
Route::post('lock/{partner_id}/store', "Share\LockController@store")->where('partner_id', '[0-9]+');
// 创建链接-小花红包
Route::post('flower/store', "Share\FlowerController@store");
// 详情-现金红包
Route::get('redpack/{list_id}/get', "Share\RedpackController@get")->where('list_id', '[0-9]+');
// 详情-小花红包
Route::get('flower/{list_id}/get', "Share\FlowerController@get")->where('list_id', '[0-9]+');
// 详情-喜欢我的解锁
Route::get('likeme/{list_id}/get', 'Share\LikemeController@get')->where('list_id', '[0-9]+');
// 详情-72h活动分享
Route::get("pair/{list_id}/get", "Share\PairController@get")->where('list_id', '[0-9]+');
// 助力记录-喜欢我的解锁
Route::get('likeme/{list_id}/history', 'Share\LikemeController@history')->where('list_id', '[0-9]+');
// 列表-查看自己上一个现金红包
Route::get('redpack/ing', "Share\RedpackController@ingredpack");
// 列表-查看自己上一个小花红包
Route::get('flower/ing', "Share\FlowerController@latest");
// 列表-正在进行的任务-集合
Route::get('inglist', "Share\ShareController@ing");
// 列表-加持中的助力-人气值
Route::get('/popularitysharehelp/inglist', "Share\PopularitySharehelpController@inglist");
// 列表-完成的任务-匹配成功率
Route::get('succlist/pair', "Share\PairController@scorelist");
// 列表-完成的任务-退费
Route::get('succlist/refund', "Share\PairController@refundlist");
// 列表-完成的任务-小花
Route::get('succlist/flower', "Share\FlowerController@succlist");
// 列表-完成的任务-解锁
Route::get('succlist/lock', "Share\LockController@succlist");
// 列表-完成的任务-现金
Route::get('succlist/redpack', "Share\RedpackController@succlist");
// 列表-完成的任务-开黑
Route::get('succlist/gteam', 'Share\GteamController@succlist');
// 列表-失效的任务-小花
Route::get('faillist/flower', "Share\FlowerController@faillist");
// 列表-失效的任务-解锁
Route::get('faillist/lock', "Share\LockController@faillist");
// 列表-失效的任务-现金
Route::get('faillist/redpack', "Share\RedpackController@faillist");
// 列表-失效的助力-人气值
Route::get('/popularitysharehelp/historylist', "Share\PopularitySharehelpController@historylist");
// 助力-72h
Route::get('/pair/{invite_id}/check', "Fpdx\Invite@invite")->where('invite_id', '[0-9]+');
// 助力-小fa红包
Route::put('flower/{list_id}/check', "Share\FlowerController@check")->where('list_id', '[0-9]+');
// 助力-现金红包分享
Route::put('redpack/{list_id}/check', "Share\RedpackController@check")->where('list_id', '[0-9]+');
// 助力-开黑
Route::put('gteam/{list_id}/check', "Share\GteamController@check")->where('list_id', '[0-9]+');
// 会员助力-开黑
Route::put('gteam/{invite_id}/vipcheck', "Share\GteamController@vipCheck")->where('invite_id', '[0-9]+');
// 助力-喜欢我的解锁分享
Route::put('likeme/{invite_id}/check', "Share\LikemeController@check")->where('invite_id', '[0-9]+');
// 助力-人气值
Route::put('popularitysharehelp/{share_uid}/check', 'Share\PopularitySharehelpController@check');
// 会员助力-72小时活动
Route::put('pair/{invite_id}/vipcheck', "Fpdx\Invite@vipCheck")->where('invite_id', '[0-9]+');
// 气泡-现金红包
Route::get('/redpack/bannerlist', 'Share\RedpackController@bannerlist');
// 气泡-小花红包
Route::get('/flower/bannerlist', 'Share\FlowerController@bannerlist');
// 切换订阅通知-现金红包
Route::put('redpack/{list_id}/notice', "Share\RedpackController@notice")->where('list_id', '[0-9]+');
// 切换订阅通知-小花红包
Route::put('flower/{list_id}/notice', "Share\FlowerController@notice")->where('list_id', '[0-9]+');
// 现金红包-提现
Route::get('redpack/{list_id}/withdraw', 'Share\RedpackController@withdraw')->where('list_id', '[0-9]+');
// 人气值-助力页概览
Route::get('/popularitysharehelp/helpoverview', 'Share\PopularitySharehelpController@helpOverView');
